v.out.ogr(1)

NAME
v.out.ogr - Convert to OGR format.

SYNOPSIS
v.out.ogr
v.out.ogr help
v.out.ogr [-ce] input=string [type=string[,string,...]] dsn=string olayer=string [layer=integer] [format=string] [dsco=string] [lco=string]

  Flags:

-c  Export features with category (labeled) only. Otherwise all features are exported

-e  Use ESRI-style .prj file format (applies to SHAPE output only)

  Parameters:

input=string
    Name of input vector

type=string[,string,...]
    Feature type. Possible combinations of more types: point,centroid or line,boundary. Options: point,line,boundary,centroid,area Default: line,boundary

dsn=string
    OGR datasource name.
        ESRI Shapefile: directory containing shapefiles    MapInfo File: directory containing mapinfo files

olayer=string
    OGR layer name.
        ESRI Shapefile: shapefile name    MapInfo File: mapinfo file name

layer=integer
    Layer number Default: 1

format=string
    OGR format. Options: ESRI_Shapefile,TIGER,S57,MapInfo_File,DGN,Memory,CSV,GML Default: ESRI_Shapefile

dsco=string
    OGR dataset creation option (format specific, NAME=VALUE) Default:

lco=string
    OGR layer creation option (format specific, NAME=VALUE) Default:

DESCRIPTION
v.out.ogr converts GRASS vector data to OGR format. OGR (Simple Features Library) is part of the GDAL library, so you need to install gdal to use v.out.ogr.
To export areas with holes into, e.g., a SHAPE file, while keeping the holes as holes, the flag -c has to be used.

  Supported OGR Vector Formats
ESRI Shapefile
Mapinfo File
TIGER
GML

For further available drivers go here

EXAMPLE
Export lines from GRASS vector map to SHAPE format (generates /tmp/testogr.shp and related files):
v.out.ogr input=multi type=line dsn=/tmp olayer=testogr

Export areas from GRASS vector map to SHAPE format (generates /tmp/testogr.shp and related files):
v.out.ogr input=multi type=area dsn=/tmp olayer=testogr

Export lines from GRASS vector map to GML format (generates /tmp/testogr.gml file with layer 'testogr'):
v.out.ogr input=multi type=line dsn=/tmp/testogr.gml olayer=testogr format=GML

Export areas from GRASS vector map directly to PostGIS:
v.out.ogr input=polygons type=area dsn="PG:host=localhost dbname=postgis user=postgres" olayer=polymap format=PostgreSQL

REFERENCES
OGR vector library
OGR vector library C API documentation

SEE ALSO
v.external, v.in.ogr

AUTHOR
Radim Blazek, ITC-Irst, Trento, Italy

Last changed: $Date: 2005/04/29 07:29:32 $

Help Index